Index: /trunk/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg
===================================================================
--- /trunk/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 5107)
+++ /trunk/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 5108)
@@ -42,6 +42,6 @@
    nn_msh      =    0      !  create (=1) a mesh file or not (=0)
    rn_rdt      =  360.     !  time step for the dynamics (and tracer if nn_acc=0)
-   rn_rdtmin   =  360.           !  minimum time step on tracers (used if nn_acc=1)
-   rn_rdtmax   =  360.           !  maximum time step on tracers (used if nn_acc=1)
+   rn_rdtmin   =  360.     !  minimum time step on tracers (used if nn_acc=1)
+   rn_rdtmax   =  360.     !  maximum time step on tracers (used if nn_acc=1)
    jphgr_msh   =       1                 !  type of horizontal mesh
    ppglam0     =    -150.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
@@ -102,6 +102,4 @@
 &namsbc_ana    !   analytical surface boundary condition
 !-----------------------------------------------------------------------
-   nn_tau000   =   100     !  gently increase the stress over the first ntau_rst time-steps
-   rn_utau0    =   0.1e0   !  uniform value for the i-stress
 /
 !-----------------------------------------------------------------------
@@ -126,5 +124,5 @@
    sn_prec     = 'forcing_PAPASTATION_1h' ,         1         , 'prec'    ,   .false.    , .false. , 'yearly' , '' , '', ''
    sn_snow     = 'forcing_PAPASTATION_1h' ,         1         , 'snow'    ,   .false.    , .false. , 'yearly' , '' , '', ''
-   ln_2m         = .true.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   rn_zqt      =  2.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
 /
 !-----------------------------------------------------------------------
@@ -219,4 +217,9 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   nn_eos      =  0      !  type of equation of state and Brunt-Vaisala frequency
+                                 !  =-1, TEOS-10
+                                 !  = 0, EOS-80
+                                 !  = 1, S-EOS   (simplified eos)
+   ln_useCT    = .false. ! use of Conservative Temp. ==> surface CT converted in Pot. Temp. in sbcssm
 /
 !-----------------------------------------------------------------------
@@ -255,4 +258,8 @@
 /
 !-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namdyn_hpg    !   Hydrostatic pressure gradient option
 !-----------------------------------------------------------------------
@@ -269,7 +276,5 @@
 &namzdf        !   vertical physics
 !-----------------------------------------------------------------------
-!   rn_avm0     =   5.0e-6  !rbb 1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-!   rn_avt0     =   5.0e-6  !rbb 1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
-   ln_zdfevd   = .false. !rbb .true.    !  enhanced vertical diffusion (evd) (T) or not (F)
+   ln_zdfevd   = .false.        !  enhanced vertical diffusion (evd) (T) or not (F)
 /
 !-----------------------------------------------------------------------
@@ -288,5 +293,4 @@
 &namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
 !-----------------------------------------------------------------------
-   rn_clim_galp  = 0.267   !  galperin limit
 /
 !-----------------------------------------------------------------------
Index: /trunk/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90
===================================================================
--- /trunk/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90	(revision 5107)
+++ /trunk/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90	(revision 5108)
@@ -72,4 +72,6 @@
       ! Ocean physics update                (ua, va, ta, sa used as workspace)
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
+                         CALL eos_rab( tsb, rab_b )   ! before local thermal/haline expension ratio at T-points
+                         CALL eos_rab( tsn, rab_n )   ! now    local thermal/haline expension ratio at T-points
                          CALL bn2( tsb, rab_b, rn2b ) ! before Brunt-Vaisala frequency
                          CALL bn2( tsn, rab_n, rn2  ) ! now    Brunt-Vaisala frequency
@@ -132,4 +134,6 @@
                         CALL tra_nxt( kstp )       ! tracer fields at next time step
 
+
+
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Dynamics                                    (ta, sa used as workspace)